## jmunit.framework.cldc11
Class ConsoleListener

    java.lang.Object
      jmunit.framework.cldc11.ConsoleListener

All Implemented Interfaces:
  TestListener

    public class ConsoleListener

extends java.lang.Object
implements TestListener

The ConsoleListener class listens to test results and writes any failures and errors to the console.

Since:
  JMUnit 1.1.
Author:
  C.A. Meijer

Constructor Summary
`ConsoleListener()`

Method Summary
`void` `addError(java.lang.Class testClass, java.lang.String test, java.lang.Throwable t)` Prints the details of an error.
`void` `addFailure(java.lang.Class testClass, java.lang.String test, AssertionFailedException t)` Prints the details of a failure.
`void` `clear()` The ConsoleListener ignores any notifications that the results have been cleared.
`void` `endTest(java.lang.Class testClass, java.lang.String test)` The ConsoleListener ignores any notifications that a test has ended.
`void` `startTest(java.lang.Class testClass, java.lang.String test)` The ConsoleListener ignores any notifications that a test has started.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleListener

    public ConsoleListener()

Method Detail

### addError

    public void addError(java.lang.Class testClass,
                         java.lang.String test,
                         java.lang.Throwable t)

  Prints the details of an error.

  Specified by:
    `addError` in interface `TestListener`
  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that reported an error.
    `t` - The error.

### addFailure

    public void addFailure(java.lang.Class testClass,
                           java.lang.String test,
                           AssertionFailedException t)

  Prints the details of a failure.

  Specified by:
    `addFailure` in interface `TestListener`
  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that reported a failure.
    `t` - The failure.

### endTest

    public void endTest(java.lang.Class testClass,
                        java.lang.String test)

  The ConsoleListener ignores any notifications that a test has ended.

  Specified by:
    `endTest` in interface `TestListener`
  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that finished running.

### startTest

    public void startTest(java.lang.Class testClass,
                          java.lang.String test)

  The ConsoleListener ignores any notifications that a test has started.

  Specified by:
    `startTest` in interface `TestListener`
  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that started running.

### clear

    public void clear()

  The ConsoleListener ignores any notifications that the results have been cleared.

  Specified by:
    `clear` in interface `TestListener`